WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: need patched sis , more , url provided  (Read 2083 times)

Offline aspire64

  • WikiUser
  • *
  • Posts: 2
need patched sis , more , url provided
« on: October 03, 2012, 04:10:17 PM »
Can someone try this patch and see if it fixes the sis x drivers for tinycore
ttps bugs.freedesktop.org/show_bug.cgi?id=18028

additionally , heh, i have a vortex86 SOC, which has said graphics, BUT
this chip only supports 386 instructions, and some programs, notably
sylpheed gtk1 and gcc die with 'invalid instructions' so if it wouldnt be too much trouble ;-)
mayhaps a new *.i386.tcz version could be released for apps previously compiled with > 386 code.
Oh yeah , also mongoose dies . probably alot more i never tried.
most important is obviously the sis patch which supposedly only needs ... (pasting )

s/xf86UnMapVidMem(pScrn->scrnIndex/pci_device_unmap_range(pSiS->PciInfo/

please reply to this post , i will attempt to check back ...

BTW theese forums look not so good in dillo (which im in now).

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 8257
Re: need patched sis , more , url provided
« Reply #1 on: October 03, 2012, 05:53:36 PM »
Hi aspire64
Quote
BUT this chip only supports 386 instructions
I think you may be out of luck on this, the FAQs state:
Quote
The minimum cpu is i486DX (486 with a math processor).

Offline gerald_clark

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 4254
Re: need patched sis , more , url provided
« Reply #2 on: October 03, 2012, 06:01:15 PM »
My Vortex86 SOC works fine.  It is 486DX compatible.

Offline aspire64

  • WikiUser
  • *
  • Posts: 2
Re: need patched sis , more , url provided
« Reply #3 on: October 04, 2012, 01:53:53 PM »
I think it is mostly 486 compatible, but if the packages were compiled for 386 , then they would be all compatible.

tinycore works, and xworks, i tried xvesa, xvesa 7.1 xorg and xfbdev ,
xorg is the slowest , xvesa is about twice as fast , and xfbdev is the fastest on my machine, i wrote a simple
graphics bench to measure , but it only confirmed what my eyes already told me , xfbdev is fastest for my machine.

BUT there is a ACCELERATED sys driver, i downloaded the tcz, it failed exactly like the article i linked to, so i suppose
their patch would fix the accelerated driver.

but mongoose , gcc , sylpheed , etc must be compiled to 586 + or use 486 instructions not present on this SOC because
they definatly do give me a "illegal instruction" error.

if someone could try to fix the accelerated sis driver i could test it, it would be appreciated

BTW heres my controlpanel/system stats data for my CPU
processor   : 0
vendor_id   : SiS SiS SiS
cpu family   : 5
model      : 0
model name   : 05/00
stepping   : 5
cpu MHz      : 200.033
fdiv_bug   : no
hlt_bug      : no
f00f_bug   : no
coma_bug   : no
fpu      : yes
fpu_exception   : yes
cpuid level   : 1
wp      : yes
flags      : fpu tsc cx8 mmx up
bogomips   : 400.73
clflush size   : 32
cache_alignment   : 32
address sizes   : 32 bits physical, 32 bits virtual
power management:





Offline curaga

  • Administrator
  • Hero Member
  • *****
  • Posts: 10296
Re: need patched sis , more , url provided
« Reply #4 on: October 05, 2012, 06:30:30 AM »
If you don't want to setup TC on another machine, perhaps build the driver in a VM?

tce-load -wi compiletc Xorg-7.6-dev # maybe other packages, these should get you started
The only barriers that can stop you are the ones you create yourself.

Offline ewanbcn

  • WikiUser
  • *
  • Posts: 14
Re: need patched sis , more , url provided
« Reply #5 on: October 11, 2012, 11:14:26 PM »
I have been looking at this problem too and would be very grateful if someone could update the sis driver with this patch.

I have a 1366x768 screen that will not work at that resolution with any driver I've tried so far  :-[

Offline risto3

  • WikiUser
  • *
  • Posts: 43
Re: need patched sis , more , url provided
« Reply #6 on: October 31, 2012, 09:56:52 AM »
since 4.6.x I'm also having a number of problems on a Vortex86mx


processor   : 0
vendor_id   : Vortex86 SoC
cpu family   : 5
model      : 8
model name   : 05/08
stepping   : 6
cpu MHz      : 933.321
fdiv_bug   : no
hlt_bug      : no
f00f_bug   : no
coma_bug   : no
fpu      : yes
fpu_exception   : yes
cpuid level   : 1
wp      : yes
flags      : fpu tsc cx8 mmx up
bogomips   : 1867.41
clflush size   : 32
cache_alignment   : 32
address sizes   : 32 bits physical, 32 bits virtual
power management:

to summarize, this is a pentium.mmx (P5) compatible but not pentium.pro (P6, notably with cmov).
I'm starting to get numerous programs with "invalid instruction", such as Firefox and Opera.
Perhaps TigerVNC 1.1.0 suffers as well for lack of the updated libjpeg-turbo work which I believe is in 1.2.0.


Offline curaga

  • Administrator
  • Hero Member
  • *****
  • Posts: 10296
Re: need patched sis , more , url provided
« Reply #7 on: October 31, 2012, 11:48:48 AM »
Please try to trace which extension(s) exactly have the issue, then report in TCE bugs. Running under GDB should be enough.
The only barriers that can stop you are the ones you create yourself.